Skip to main content

Web Fetch

POST
/api/search/webFetch

Convert web page content at a specified URL into LLM-friendly plain text format. Suitable for web content extraction, link content analysis, and other scenarios.


Request Parameters

FieldTypeRequiredDefaultDescription
urlStringYes-Target web page URL

Request Example

curl -X POST https://platform.iflow.cn/api/search/webFetch \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
"url": "https://www.example.com"
}'

Response Example

{
"success": true,
"code": "200",
"message": "success",
"exception": null,
"data": {
"title": "Example Domain",
"content": "Example Domain\n\nThis domain is for use in illustrative examples in documents. You may use this domain in literature without prior coordination or asking for permission.\n\nMore information...",
"url": "https://www.example.com",
"fromCache": true
},
"extra": null
}

Response Fields

FieldTypeDescription
fromCacheBooleanWhether the result was served from cache
titleStringWeb page title
contentStringWeb page content
urlStringActual fetched URL